Package org.apache.storm.redis.bolt

## Class RedisLookupBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichBolt
    - - org.apache.storm.topology.base.BaseTickTupleAwareRichBolt
      - - org.apache.storm.redis.bolt.AbstractRedisBolt
        - - org.apache.storm.redis.bolt.RedisLookupBolt

- All Implemented Interfaces:
    `Serializable`, `IBolt`, `IComponent`, `IRichBolt`

      public class RedisLookupBolt
      extends AbstractRedisBolt

  Basic bolt for querying from Redis and emits response as tuple.

  Various data types are supported: STRING, LIST, HASH, SET, SORTED_SET, HYPER_LOG_LOG, GEO

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.redis.bolt.AbstractRedisBolt

      `collector`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedisLookupBolt​(JedisClusterConfig config, RedisLookupMapper lookupMapper)` | Constructor for Redis Cluster environment (JedisCluster).
    `RedisLookupBolt​(JedisPoolConfig config, RedisLookupMapper lookupMapper)` | Constructor for single Redis environment (JedisPool).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Declare the output schema for all the streams of this topology.
    `void` | `process​(Tuple input)` | Process a single non-tick tuple of input.

    - ### Methods inherited from class org.apache.storm.redis.bolt.AbstractRedisBolt

      `cleanup, getInstance, prepare`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseTickTupleAwareRichBolt

      `execute, onTickTuple`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### RedisLookupBolt

          public RedisLookupBolt​(JedisPoolConfig config,
                                 RedisLookupMapper lookupMapper)

      Constructor for single Redis environment (JedisPool).
      Parameters:
        `config` - configuration for initializing JedisPool
        `lookupMapper` - mapper containing which datatype, query key, output key that Bolt uses

    - #### RedisLookupBolt

          public RedisLookupBolt​(JedisClusterConfig config,
                                 RedisLookupMapper lookupMapper)

      Constructor for Redis Cluster environment (JedisCluster).
      Parameters:
        `config` - configuration for initializing JedisCluster
        `lookupMapper` - mapper containing which datatype, query key, output key that Bolt uses

  - ### Method Detail

    - #### process

          public void process​(Tuple input)

      Process a single non-tick tuple of input. Implementation needs to handle ack manually. More details on `IBolt.execute(Tuple)`.
      Specified by:
        `process` in class `BaseTickTupleAwareRichBolt`
      Parameters:
        `input` - The input tuple to be processed.

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Declare the output schema for all the streams of this topology.
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream